class WeaponsController < ApplicationController
	def index
		@weapons = Weapon.all

		if params[:q].present?
			@weapons = Weapon.where(name: params[:q])
		end

		render "weapons/index.html.erb"
	end

	def create
		weapon = Weapon.new
		weapon.name = params[:name]
		weapon.weapon_type = params[:weapon_type]
		weapon.strength = params[:strength]
		weapon.durability = params[:durability]
		weapon.save

		redirect_to("/weapons")
	end
end